Rhino7 black viewports upon installation (v5 is fine)

Is there a way to force legacy graphics support (or whatever v5 is using ?)

No. Huge differences in the System requirements between V5 and V7.

Please run the Rhino “SystemInfo” command and post the results.
Hopefully something will show up that can be corrected.

Rhino 7 SR3 2021-2-22 (Rhino 7, 7.3.21053.23031
License type: Commercial, build 2021-02-22
License details: Cloud Zoo

Windows 10.0.19041 SR0.0 or greater (Physical RAM: 7.9Gb)

Computer platform: LAPTOP - Plugged in [100% battery remaining]

Standard graphics configuration.
Primary display and OpenGL: Intel® HD Graphics Family (Intel) Memory: 1GB, Driver date: 11-18-2015 (M-D-Y). OpenGL Ver: 4.3.0 - Build 20.19.15.4331
> Integrated graphics device with 3 adapter port(s)
- Windows Main Display is laptop’s integrated screen or built-in port

OpenGL Settings
Safe mode: Off
Use accelerated hardware modes: On
Redraw scene when viewports are exposed: On

Anti-alias mode: 2x
Mip Map Filtering: Linear
Anisotropic Filtering Mode: High

Vendor Name: Intel
Render version: 4.3
Shading Language: 4.30 - Build 20.19.15.4331
Driver Date: 11-18-2015
Driver Version: 20.19.15.4331
Maximum Texture size: 16384 x 16384
Z-Buffer depth: 24 bits
Maximum Viewport size: 16384 x 16384
Total Video Memory: 1 GB

Rhino plugins that do not ship with Rhino

Rhino plugins that ship with Rhino
C:\Program Files\Rhino 7\Plug-ins\Commands.rhp “Commands” 7.3.21053.23031
C:\Program Files\Rhino 7\Plug-ins\rdk.rhp “Renderer Development Kit”
C:\Program Files\Rhino 7\Plug-ins\RhinoRenderCycles.rhp “Rhino Render” 7.3.21053.23031
C:\Program Files\Rhino 7\Plug-ins\rdk_etoui.rhp “RDK_EtoUI” 7.3.21053.23031
C:\Program Files\Rhino 7\Plug-ins\rdk_ui.rhp “Renderer Development Kit UI”
C:\Program Files\Rhino 7\Plug-ins\NamedSnapshots.rhp “Snapshots”
C:\Program Files\Rhino 7\Plug-ins\RhinoCycles.rhp “RhinoCycles” 7.3.21053.23031
C:\Program Files\Rhino 7\Plug-ins\Toolbars\Toolbars.rhp “Toolbars” 7.3.21053.23031
C:\Program Files\Rhino 7\Plug-ins\3dxrhino.rhp “3Dconnexion 3D Mouse”
C:\Program Files\Rhino 7\Plug-ins\Displacement.rhp “Displacement”

As I feared, your computer does not meet Rhino’s minimum System Requirements.

It has far outlived it’s expected useful lifespan.

Here’s a link to the Hardware forum.
The top pinned post is good advice for choosing a new system:

Sorry.

What are you talking about :slight_smile: … this little trooper is like new and has another 5 years in it!
Any deep hidden flags to disable in Rhino7 to get it to work like v5 ? (I wasn’t budgeting for both Rhino AND a new system at the same time)

I’m telling you that For V5, released in 2012, 9 years ago, the system requirements were quite low and we could disable Hardware acceleration so Rhino would run.
Because users were angry that high end graphics hardware did not improve performance for V5, we added support for better GPUs for V6.
That was the breaking point for the old, underpowered GPUs like your Intel.
You can keep running V5.
If you want to run V7, you’ll need better hardware now.

Hallow All. i had the same problem going from V5 to V7 and i found at solution, try this Go into view and to “Display options” and “Display Modes” select “Other settings” and ind Display pipline assignment
Select windows then okay then restart Rhino 7.

1 Like